## RygelBasicManagement

RygelBasicManagement — Basic implementation of UPnP BasicManagement service version 2.

## Functions

RygelBasicManagement * | rygel_basic_management_new ()
guint | rygel_basic_management_get_max_history_size ()
void | rygel_basic_management_set_max_history_size ()

## Properties

guint | max-history-size | Read / Write

## Types and Values

#define | RYGEL_TYPE_BASIC_MANAGEMENT
#define | RYGEL_BASIC_MANAGEMENT_UPNP_ID
#define | RYGEL_BASIC_MANAGEMENT_UPNP_TYPE
#define | RYGEL_BASIC_MANAGEMENT_DESCRIPTION_PATH
struct | RygelBasicManagement
struct | RygelBasicManagementClass

## Object Hierarchy

        GObject
        ╰── GUPnPServiceInfo
            ╰── GUPnPService
                ╰── RygelBasicManagement

## Description

## Functions

### rygel_basic_management_new ()

    RygelBasicManagement *
    rygel_basic_management_new (void);

### rygel_basic_management_get_max_history_size ()

    guint
    rygel_basic_management_get_max_history_size
                                   (RygelBasicManagement *self);

Get and return the current value of the "max-history-size" property.

#### Parameters

self | the RygelBasicManagement instance to query |

#### Returns

the value of the "max-history-size" property

### rygel_basic_management_set_max_history_size ()

    void
    rygel_basic_management_set_max_history_size
                                   (RygelBasicManagement *self,
                                    guint value);

Set the value of the "max-history-size" property to `value` .

#### Parameters

self | the RygelBasicManagement instance to modify |
value | the new value of the "max-history-size" property |

## Types and Values

### RYGEL_TYPE_BASIC_MANAGEMENT

    #define RYGEL_TYPE_BASIC_MANAGEMENT (rygel_basic_management_get_type ())

The type for RygelBasicManagement.

### RYGEL_BASIC_MANAGEMENT_UPNP_ID

    #define RYGEL_BASIC_MANAGEMENT_UPNP_ID "urn:upnp-org:serviceId:BasicManagement"

### RYGEL_BASIC_MANAGEMENT_UPNP_TYPE

    #define RYGEL_BASIC_MANAGEMENT_UPNP_TYPE "urn:schemas-upnp-org:service:BasicManagement:2"

### RYGEL_BASIC_MANAGEMENT_DESCRIPTION_PATH

    #define RYGEL_BASIC_MANAGEMENT_DESCRIPTION_PATH "xml/BasicManagement2.xml"

### struct RygelBasicManagement

    struct RygelBasicManagement;

Basic implementation of UPnP BasicManagement service version 2.

### struct RygelBasicManagementClass

    struct RygelBasicManagementClass {
    	GUPnPServiceClass parent_class;
    };

The class structure for `RYGEL_TYPE_BASIC_MANAGEMENT`. All the fields in this structure are private and should never be accessed directly.

#### Members

## Property Details

### The `“max-history-size”` property

      “max-history-size”         guint

max-history-size.

Flags: Read / Write

Default value: 10